# wearable_mri

Simulation tools, encoding methods, and recon for wearable MRI. See [theory.pdf](theory.pdf).

## Installation 
First install all the relvant libraries using our environment file.

To install this library, simply run 
```
pip install -e ./
```

## Reproducing Figures
In order to reproduce the figures, you'll first want to run 
```
python tests/gen_fake_data.py
```
to generate data.

Then, run 
```
python hyper_param_sweep.py
``` 
to create different reconstructions with different hyper-parameters.

Finally, run 
```
python plot_sweep_data.py
```
to show the hyper-parameter sweeps.

Pick your favorite recon for each algorithm and run 
```
python plot_all_methods.py
```
to compare them!

## Contact
Please contact Daniel Abraham: abrahamd@stanford.edu
